#### Previous topic

scipy.interpolate.ppform.solve

#### Next topic

scipy.interpolate.spline

# scipy.interpolate.spleval

`scipy.interpolate.``spleval`(*args, **kwds)

  `spleval` is deprecated! spleval is deprecated in scipy 0.19.0, use BSpline instead.

  > Evaluate a fixed spline represented by the given tuple at the new x-values

  > The xj values are the interior knot points. The approximation region is xj[0] to xj[-1]. If N+1 is the length of xj, then cvals should have length N+k where k is the order of the spline.

  Parameters:

  (xj, cvals, k) : tuple

  > > Parameters that define the fixed spline

  > xj : array_like

  >   Interior knot points

  > cvals : array_like

  >   Curvature

  > k : int

  >   Order of the spline

  > xnew : array_like

  >   Locations to calculate spline

  > deriv : int

  >   Deriv

  Returns:

  spleval : ndarray

  > If cvals represents more than one curve (cvals.ndim > 1) and/or xnew is N-d, then the result is xnew.shape + cvals.shape[1:] providing the interpolation of multiple curves.

  Notes

  Internally, an additional k-1 knot points are added on either side of the spline.